GNU logs - #28953, boring messages


Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: jfbu <jfbu@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Mon, 23 Oct 2017 09:45:02 +0000
Resent-Message-ID: <handler.28953.B.150875188210315 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: 28953 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-auctex@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.150875188210315
          (code B ref -1); Mon, 23 Oct 2017 09:45:02 +0000
Received: (at submit) by debbugs.gnu.org; 23 Oct 2017 09:44:42 +0000
Received: from localhost ([127.0.0.1]:56619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6ZHl-0002gH-Kz
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 05:44:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jfbu@HIDDEN>) id 1e6ZHj-0002fr-Ec
 for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 05:44:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jfbu@HIDDEN>) id 1e6ZHd-0005Bm-H2
 for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 05:44:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49585)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jfbu@HIDDEN>) id 1e6ZHd-0005BJ-Df
 for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 05:44:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42172)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jfbu@HIDDEN>) id 1e6ZHc-0000Zq-C1
 for bug-auctex@HIDDEN; Mon, 23 Oct 2017 05:44:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jfbu@HIDDEN>) id 1e6ZHZ-00054u-9U
 for bug-auctex@HIDDEN; Mon, 23 Oct 2017 05:44:32 -0400
Received: from smtp01.univ-lille1.fr ([2001:660:4401:100::19]:55000)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jfbu@HIDDEN>) id 1e6ZHY-00052p-Vd
 for bug-auctex@HIDDEN; Mon, 23 Oct 2017 05:44:29 -0400
Received: from smtps1.univ-lille1.fr (smtps1.univ-lille1.fr [193.49.225.52])
 by smtp01.univ-lille1.fr (8.14.3/8.14.3) with ESMTP id v9N9BUeY021317
 for <bug-auctex@HIDDEN>; Mon, 23 Oct 2017 11:11:30 +0200
Received: from [192.168.0.11] (hel59-4-88-160-125-12.fbx.proxad.net
 [88.160.125.12]) (authenticated bits=0)
 by smtps1.univ-lille1.fr (8.14.3/8.14.3/Debian-5) with ESMTP id v9N9BTrd006663
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO)
 for <bug-auctex@HIDDEN>; Mon, 23 Oct 2017 11:11:31 +0200
From: jfbu <jfbu@HIDDEN>
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Message-Id: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
Date: Mon, 23 Oct 2017 11:11:28 +0200
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
X-Mailer: Apple Mail (2.1878.6)
X-USTL-MailScanner-Information: Please contact the ISP for more information
X-USTL-MailScanner-ID: v9N9BUeY021317
X-USTL-MailScanner: Found to be clean
X-USTL-MailScanner-From: jfbu@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi, here is minimal example:

\documentclass{article}
\begin{document}
\typeout{Hello:1: }
\end{document}

This triggers AUCTeX log parser to report wrongly
that there were compilation errors.

The two colons and the space conspire to this result.

It happened in real life example.

Best,

Jean-Fran=E7ois






Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: jfbu <jfbu@HIDDEN>
Subject: bug#28953: Acknowledgement (11.91.0; wrong alert about inexistent
 LaTeX errors)
Message-ID: <handler.28953.B.150875188210315.ack <at> debbugs.gnu.org>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
X-Gnu-PR-Message: ack 28953
X-Gnu-PR-Package: auctex
Reply-To: 28953 <at> debbugs.gnu.org
Date: Mon, 23 Oct 2017 09:45:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-auctex@HIDDEN

If you wish to submit further information on this problem, please
send it to 28953 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
28953: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D28953
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Mon, 23 Oct 2017 12:44:01 +0000
Resent-Message-ID: <handler.28953.B28953.15087626122440 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: jfbu <jfbu@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.15087626122440
          (code B ref 28953); Mon, 23 Oct 2017 12:44:01 +0000
Received: (at 28953) by debbugs.gnu.org; 23 Oct 2017 12:43:32 +0000
Received: from localhost ([127.0.0.1]:56692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6c4q-0000dI-Ij
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:43:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mose@HIDDEN>) id 1e6c4n-0000d1-Dt
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:43:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mose@HIDDEN>) id 1e6c4d-0002P5-Ee
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:43:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_40,RCVD_IN_SORBS_SPAM,
 RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55749)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mose@HIDDEN>)
 id 1e6c4d-0002Ox-Bp
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:43:19 -0400
Received: from mail-io0-f180.google.com ([209.85.223.180]:55920)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mose@HIDDEN>) id 1e6c4c-0006Sv-UN
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:43:19 -0400
Received: by mail-io0-f180.google.com with SMTP id p186so19899776ioe.12
 for <28953 <at> debbugs.gnu.org>; Mon, 23 Oct 2017 05:43:18 -0700 (PDT)
X-Gm-Message-State: AMCzsaVeWTcHJF9IfhP8hu+69ws3XtMCRq9B+c3YKL+eoGfW12JR1R8/
 9KM25qgmwbclS5B04cQInCyM8v6Sm59Sjpm3OxM=
X-Google-Smtp-Source: ABhQp+Sg/B/m5WtOH6NAVjEbZ2dzCaf8O0mcMuI0me2lzh8rd1O2DAMH3/BCcrpphDnaVg21G7SeKYr6FpEApPvk48o=
X-Received: by 10.107.164.164 with SMTP id d36mr17758917ioj.64.1508762598131; 
 Mon, 23 Oct 2017 05:43:18 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.2.3.29 with HTTP; Mon, 23 Oct 2017 05:42:37 -0700 (PDT)
In-Reply-To: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Date: Mon, 23 Oct 2017 14:42:37 +0200
X-Gmail-Original-Message-ID: <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
Message-ID: <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.5 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

Hi Jean-Fran=C3=A7ois,

2017-10-23 11:11 GMT+02:00 jfbu <jfbu@HIDDEN>:
> Hi, here is minimal example:
>
> \documentclass{article}
> \begin{document}
> \typeout{Hello:1: }
> \end{document}
>
> This triggers AUCTeX log parser to report wrongly
> that there were compilation errors.
>
> The two colons and the space conspire to this result.
>
> It happened in real life example.

I think you're asking too much :-)  I don't see any meaningful way to
distinguish between a real error and a message you write to the log
that is exactly equal to the file-line-error style.  The same happens
with \typeout{! hello world}.

Bye,
Mos=C3=A8




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: jfbu <jfbu@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Mon, 23 Oct 2017 12:48:01 +0000
Resent-Message-ID: <handler.28953.B28953.15087628562843 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.15087628562843
          (code B ref 28953); Mon, 23 Oct 2017 12:48:01 +0000
Received: (at 28953) by debbugs.gnu.org; 23 Oct 2017 12:47:36 +0000
Received: from localhost ([127.0.0.1]:56696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6c8m-0000jn-2e
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:47:36 -0400
Received: from smtp01.univ-lille1.fr ([193.49.225.19]:58082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jfbu@HIDDEN>) id 1e6c8k-0000ja-Gr
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:47:35 -0400
Received: from smtps1.univ-lille1.fr (smtps1.univ-lille1.fr [193.49.225.52])
 by smtp01.univ-lille1.fr (8.14.3/8.14.3) with ESMTP id v9NClR3U006247;
 Mon, 23 Oct 2017 14:47:27 +0200
Received: from [192.168.0.11] (hel59-4-88-160-125-12.fbx.proxad.net
 [88.160.125.12]) (authenticated bits=0)
 by smtps1.univ-lille1.fr (8.14.3/8.14.3/Debian-5) with ESMTP id v9NClR13017771
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO);
 Mon, 23 Oct 2017 14:47:29 +0200
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
From: jfbu <jfbu@HIDDEN>
In-Reply-To: <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
Date: Mon, 23 Oct 2017 14:47:24 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-USTL-MailScanner-Information: Please contact the ISP for more information
X-USTL-MailScanner-ID: v9NClR3U006247
X-USTL-MailScanner: Found to be clean
X-USTL-MailScanner-From: jfbu@HIDDEN
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi Mos=E8

Le 23 oct. 2017 =E0 14:42, Mos=E8 Giordano <mose@HIDDEN> a =E9crit :

> Hi Jean-Fran=E7ois,
>=20
> 2017-10-23 11:11 GMT+02:00 jfbu <jfbu@HIDDEN>:
>> Hi, here is minimal example:
>>=20
>> \documentclass{article}
>> \begin{document}
>> \typeout{Hello:1: }
>> \end{document}
>>=20
>> This triggers AUCTeX log parser to report wrongly
>> that there were compilation errors.
>>=20
>> The two colons and the space conspire to this result.
>>=20
>> It happened in real life example.
>=20
> I think you're asking too much :-)  I don't see any meaningful way to
> distinguish between a real error and a message you write to the log
> that is exactly equal to the file-line-error style.  The same happens
> with \typeout{! hello world}.
>=20
> Bye,
> Mos=E8

In real life example the ``:1: `` pattern appeared farther away on the =
line
inside a sentence. To a human, it is obvious it is not a LaTeX error
message. I am confident the logic for recognizing such error messages
is improvable. I plan to look at it when I get time to make
concrete proposal.

Best,
Jean-Fran=E7ois=




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Mon, 23 Oct 2017 15:11:02 +0000
Resent-Message-ID: <handler.28953.B28953.150877145017223 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: jfbu <jfbu@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.150877145017223
          (code B ref 28953); Mon, 23 Oct 2017 15:11:02 +0000
Received: (at 28953) by debbugs.gnu.org; 23 Oct 2017 15:10:50 +0000
Received: from localhost ([127.0.0.1]:57863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6eNO-0004Ti-7b
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 11:10:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mose@HIDDEN>) id 1e6eNL-0004TW-Ps
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 11:10:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mose@HIDDEN>) id 1e6eND-0000R3-Gl
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 11:10:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,RCVD_IN_SORBS_SPAM,
 RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57592)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mose@HIDDEN>)
 id 1e6eND-0000Ql-D5
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 11:10:39 -0400
Received: from mail-it0-f42.google.com ([209.85.214.42]:52246)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mose@HIDDEN>) id 1e6eND-0005I3-2v
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 11:10:39 -0400
Received: by mail-it0-f42.google.com with SMTP id j140so6327270itj.1
 for <28953 <at> debbugs.gnu.org>; Mon, 23 Oct 2017 08:10:39 -0700 (PDT)
X-Gm-Message-State: AMCzsaUn3A14CCcy9j1qqEgr+qSVzFWu13Jx8oIoSvwOTKCGGECGrTjA
 +3sI12/8oqvMcpsLzZXMCHHZ0w7YNpd7s8ifG2U=
X-Google-Smtp-Source: ABhQp+TE9XjnVdOsq9BlyiWhc3OlYa2HbfDmIGow12/TyJnaPR9U4vNcuuoq/HC8WrH2BA2uiT6p0oNqYMsfaDAzDEw=
X-Received: by 10.36.1.136 with SMTP id 130mr9070507itk.119.1508771437612;
 Mon, 23 Oct 2017 08:10:37 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.2.3.29 with HTTP; Mon, 23 Oct 2017 08:09:57 -0700 (PDT)
In-Reply-To: <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
 <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Date: Mon, 23 Oct 2017 17:09:57 +0200
X-Gmail-Original-Message-ID: <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
Message-ID: <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.5 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

2017-10-23 14:47 GMT+02:00 jfbu <jfbu@HIDDEN>:
> In real life example the ``:1: `` pattern appeared farther away on the li=
ne
> inside a sentence. To a human, it is obvious it is not a LaTeX error
> message. I am confident the logic for recognizing such error messages
> is improvable. I plan to look at it when I get time to make
> concrete proposal.

The relevant regexp is at line 1507 of tex-buf.el:
https://git.savannah.gnu.org/gitweb/?p=3Dauctex.git;a=3Dblob;f=3Dtex-buf.el=
;h=3Df458651c2cffc110ef4af4541c6b08af976907fb;hb=3DHEAD#l1507
Perhaps ".*" is too greedy, anyway that regexp should match anything
that is a legal path.  I don't expect it to be supereasy to find a
regexp matching a path but not a whole sentence ;-)

Bye,
Mos=C3=A8




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: jfbu <jfbu@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Mon, 23 Oct 2017 16:36:02 +0000
Resent-Message-ID: <handler.28953.B28953.150877651925006 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.150877651925006
          (code B ref 28953); Mon, 23 Oct 2017 16:36:02 +0000
Received: (at 28953) by debbugs.gnu.org; 23 Oct 2017 16:35:19 +0000
Received: from localhost ([127.0.0.1]:57896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6fh8-0006VG-S1
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 12:35:19 -0400
Received: from smtp02.univ-lille1.fr ([193.49.225.20]:53653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jfbu@HIDDEN>) id 1e6fh7-0006V1-7v
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 12:35:17 -0400
Received: from smtps1.univ-lille1.fr (smtps1.univ-lille1.fr [193.49.225.52])
 by smtp02.univ-lille1.fr (8.14.3/8.14.3/Debian-5+lenny1) with ESMTP id
 v9NGZ5WK022102; Mon, 23 Oct 2017 18:35:05 +0200
Received: from [192.168.0.11] (hel59-4-88-160-125-12.fbx.proxad.net
 [88.160.125.12]) (authenticated bits=0)
 by smtps1.univ-lille1.fr (8.14.3/8.14.3/Debian-5) with ESMTP id v9NGZ8V1030834
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO);
 Mon, 23 Oct 2017 18:35:10 +0200
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
From: jfbu <jfbu@HIDDEN>
In-Reply-To: <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
Date: Mon, 23 Oct 2017 18:35:04 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <1C600EE8-5514-42B5-B209-1F4A764CC928@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
 <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
 <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-USTL-MailScanner-Information: Please contact the ISP for more information
X-USTL-MailScanner-ID: v9NGZ5WK022102
X-USTL-MailScanner: Found to be clean
X-USTL-MailScanner-From: jfbu@HIDDEN
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


Le 23 oct. 2017 =E0 17:09, Mos=E8 Giordano <mose@HIDDEN> a =E9crit :

> 2017-10-23 14:47 GMT+02:00 jfbu <jfbu@HIDDEN>:
>> In real life example the ``:1: `` pattern appeared farther away on =
the line
>> inside a sentence. To a human, it is obvious it is not a LaTeX error
>> message. I am confident the logic for recognizing such error messages
>> is improvable. I plan to look at it when I get time to make
>> concrete proposal.
>=20
> The relevant regexp is at line 1507 of tex-buf.el:
> =
https://git.savannah.gnu.org/gitweb/?p=3Dauctex.git;a=3Dblob;f=3Dtex-buf.e=
l;h=3Df458651c2cffc110ef4af4541c6b08af976907fb;hb=3DHEAD#l1507
> Perhaps ".*" is too greedy, anyway that regexp should match anything
> that is a legal path.  I don't expect it to be supereasy to find a
> regexp matching a path but not a whole sentence ;-)


Indeed. But the regexp is really minimal, is there some documentation
about the underlying difficulties?

Reporting that the LaTeX run had errors, and giving an Error overview
could perhaps be split.

For example if I try this

\documentclass{article}
\begin{document}
Hi
\typeout{./I/am/not/a/file:4: and this is not an error}
\typeout{}
\ERROR
\typeout{}
\typeout{! I am not an error.}

Did it go OK?
\end{document}

with Latexmk, it will only say

Collected error summary (may duplicate other messages):
  latex: Command for 'latex' gave return code 1
      Refer to 'temp2.log' for details

Without the \ERROR, it reports no problem. Now, indeed
Latexmk does not report a detailed error summary like AUCTeX
(it does report undefined references etc...)

For example a \PackageError{foo}{zaza}{tata} will also
cause the latex run to exit with return code 1 on my mac os,
hence the return code detects it independently of log contents.

Could AUCTeX check the return code on platforms allowing it?

If return code is 0, it could then say something like "Log file
contains data looking like errors, but LaTeX run ended with return
code 0". For my example above, with \ERROR commented out,
the return code is 0.

This is why I asked about documentation about the minimal used
regex, because perhaps these were considered already and dismissed
for some reason.

Bye,

Jean-Fran=E7ois=




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Mon, 23 Oct 2017 22:26:02 +0000
Resent-Message-ID: <handler.28953.B28953.15087975496453 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: jfbu <jfbu@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.15087975496453
          (code B ref 28953); Mon, 23 Oct 2017 22:26:02 +0000
Received: (at 28953) by debbugs.gnu.org; 23 Oct 2017 22:25:49 +0000
Received: from localhost ([127.0.0.1]:58106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6lAK-0001g1-Qd
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 18:25:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mose@HIDDEN>) id 1e6lAJ-0001fo-JT
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 18:25:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mose@HIDDEN>) id 1e6lA9-0004sm-Hz
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 18:25:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,RCVD_IN_SORBS_SPAM,
 RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35427)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mose@HIDDEN>)
 id 1e6lA9-0004sf-Ek
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 18:25:37 -0400
Received: from mail-it0-f43.google.com ([209.85.214.43]:51102)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mose@HIDDEN>) id 1e6lA9-0000Bi-1g
 for 28953 <at> debbugs.gnu.org; Mon, 23 Oct 2017 18:25:37 -0400
Received: by mail-it0-f43.google.com with SMTP id 72so7774766itl.5
 for <28953 <at> debbugs.gnu.org>; Mon, 23 Oct 2017 15:25:36 -0700 (PDT)
X-Gm-Message-State: AMCzsaXN/2jJ+ygy+NDxdGgQM9LiZi6Sx8vI64rclC59Fe2FTQ+4Q6ga
 j0jGMZeal72kHMCsKPFqNEv6nLV8YMWuTOe8xM4=
X-Google-Smtp-Source: ABhQp+SerRjGuc3gF35LZiKn296kM4tALLALB2AK8VpHSaakwZBI/AufNGI7lPvQnFEemAC+aQeL1I7xpKHKBHFNfD8=
X-Received: by 10.36.105.65 with SMTP id e62mr10841651itc.16.1508797536176;
 Mon, 23 Oct 2017 15:25:36 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.2.3.29 with HTTP; Mon, 23 Oct 2017 15:24:55 -0700 (PDT)
In-Reply-To: <1C600EE8-5514-42B5-B209-1F4A764CC928@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
 <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
 <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
 <1C600EE8-5514-42B5-B209-1F4A764CC928@HIDDEN>
From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Date: Tue, 24 Oct 2017 00:24:55 +0200
X-Gmail-Original-Message-ID: <CAKtYQqQBny24fuW7pbqrObR3Soyn_TnZe7WnAkOHUke1+N6bYg@HIDDEN>
Message-ID: <CAKtYQqQBny24fuW7pbqrObR3Soyn_TnZe7WnAkOHUke1+N6bYg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.5 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

2017-10-23 18:35 GMT+02:00 jfbu <jfbu@HIDDEN>:
>
> Le 23 oct. 2017 =C3=A0 17:09, Mos=C3=A8 Giordano <mose@HIDDEN> a =C3=A9c=
rit :
>
>> 2017-10-23 14:47 GMT+02:00 jfbu <jfbu@HIDDEN>:
>>> In real life example the ``:1: `` pattern appeared farther away on the =
line
>>> inside a sentence. To a human, it is obvious it is not a LaTeX error
>>> message. I am confident the logic for recognizing such error messages
>>> is improvable. I plan to look at it when I get time to make
>>> concrete proposal.
>>
>> The relevant regexp is at line 1507 of tex-buf.el:
>> https://git.savannah.gnu.org/gitweb/?p=3Dauctex.git;a=3Dblob;f=3Dtex-buf=
.el;h=3Df458651c2cffc110ef4af4541c6b08af976907fb;hb=3DHEAD#l1507
>> Perhaps ".*" is too greedy, anyway that regexp should match anything
>> that is a legal path.  I don't expect it to be supereasy to find a
>> regexp matching a path but not a whole sentence ;-)
>
>
> Indeed. But the regexp is really minimal, is there some documentation
> about the underlying difficulties?

I don't think there is such documentation, but I'd be happy to be proven wr=
ong.

As far as I know, using exclamation mark to start an error message is
just a widespread convention, there is nothing fundamental in it.  For
the file-line-error style, the first part should match a file path.  I
don't know if it **has** to start with "./" (or "/"), or it may change
depending on the TeX version (and for sure it depends on the platform
used).  The file may end with an extension (AUCTeX doesn't really like
files without any extension), but TeX doesn't require it at all.

> Reporting that the LaTeX run had errors, and giving an Error overview
> could perhaps be split.
>
> For example if I try this
>
> \documentclass{article}
> \begin{document}
> Hi
> \typeout{./I/am/not/a/file:4: and this is not an error}
> \typeout{}
> \ERROR
> \typeout{}
> \typeout{! I am not an error.}
>
> Did it go OK?
> \end{document}
>
> with Latexmk, it will only say
>
> Collected error summary (may duplicate other messages):
>   latex: Command for 'latex' gave return code 1
>       Refer to 'temp2.log' for details
>
> Without the \ERROR, it reports no problem. Now, indeed
> Latexmk does not report a detailed error summary like AUCTeX
> (it does report undefined references etc...)
>
> For example a \PackageError{foo}{zaza}{tata} will also
> cause the latex run to exit with return code 1 on my mac os,
> hence the return code detects it independently of log contents.
>
> Could AUCTeX check the return code on platforms allowing it?

This is interesting, but should be implemented in a reliable way.

Bye,
Mos=C3=A8




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: jfbu <jfbu@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Tue, 24 Oct 2017 07:27:02 +0000
Resent-Message-ID: <handler.28953.B.1508829965624 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: 28953 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-auctex@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.1508829965624
          (code B ref -1); Tue, 24 Oct 2017 07:27:02 +0000
Received: (at submit) by debbugs.gnu.org; 24 Oct 2017 07:26:05 +0000
Received: from localhost ([127.0.0.1]:58357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6tbB-00009y-Ir
	for submit <at> debbugs.gnu.org; Tue, 24 Oct 2017 03:26:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1e6tb9-00009T-86
 for submit <at> debbugs.gnu.org; Tue, 24 Oct 2017 03:26:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1e6tb3-0002yx-4k
 for submit <at> debbugs.gnu.org; Tue, 24 Oct 2017 03:25:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44370)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geab-bug-auctex@HIDDEN>)
 id 1e6tb3-0002yb-13
 for submit <at> debbugs.gnu.org; Tue, 24 Oct 2017 03:25:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35343)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1e6tb1-0002w2-Qa
 for bug-auctex@HIDDEN; Tue, 24 Oct 2017 03:25:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1e6tay-0002xM-N1
 for bug-auctex@HIDDEN; Tue, 24 Oct 2017 03:25:55 -0400
Received: from [195.159.176.226] (port=41607 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geab-bug-auctex@HIDDEN>)
 id 1e6tay-0002wo-FJ
 for bug-auctex@HIDDEN; Tue, 24 Oct 2017 03:25:52 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1e6tab-0002Mn-7v
 for bug-auctex@HIDDEN; Tue, 24 Oct 2017 09:25:29 +0200
X-Injected-Via-Gmane: http://gmane.org/
From: jfbu <jfbu@HIDDEN>
Date: Tue, 24 Oct 2017 09:25:30 +0200
Lines: 41
Message-ID: <osmpt2$5hf$1@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
 <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
 <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
 <1C600EE8-5514-42B5-B209-1F4A764CC928@HIDDEN>
 <CAKtYQqQBny24fuW7pbqrObR3Soyn_TnZe7WnAkOHUke1+N6bYg@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Complaints-To: usenet@HIDDEN
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:52.0)
 Gecko/20100101 Thunderbird/52.4.0
In-Reply-To: <CAKtYQqQBny24fuW7pbqrObR3Soyn_TnZe7WnAkOHUke1+N6bYg@HIDDEN>
Content-Language: en-GB
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

Le 24/10/2017 à 00:24, Mosè Giordano a écrit :
> The file may end with an extension (AUCTeX doesn't really like
> files without any extension), but TeX doesn't require it at all.

Hi Mosè, you are right. What about spaces? I know there isn't
a single file with spaces in its path on my TeX installation,
and I personally will never ever attempt to use such in my
TEXMFHOME or in the document repertory or sub-repertories.

Unfortunately I never informed myself about status of spaces
in file names with TeX, because they just don't belong to
my world.

Checking for spaces in the string before :<line number>: would
have avoided my real-life problem.

For concreteness the issue arose because often one uses labels
of the type eq:1, thm:3, etc... (indeed possibly AUCTeX prompts
user to insert such label) and my package was reporting them
in a log message of the type

"Undefined label <the label here>: rerun Latex."

Thus checking for space before would have avoided false-positive.

I fixed my real-life problem by simply avoiding adding an
extra colon.

People doing

\section{foo}\label{sec:1: (authorA)}

See \ref{sec:1: (authorA)}

will similarly get bitten by this problem.

In some parallel universe, maybe it happened before I cooked
up that example.

Bye,
Jean-François





Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Tue, 24 Oct 2017 23:01:01 +0000
Resent-Message-ID: <handler.28953.B28953.150888601926138 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: jfbu <jfbu@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.150888601926138
          (code B ref 28953); Tue, 24 Oct 2017 23:01:01 +0000
Received: (at 28953) by debbugs.gnu.org; 24 Oct 2017 23:00:19 +0000
Received: from localhost ([127.0.0.1]:60380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e78BG-0006nV-SQ
	for submit <at> debbugs.gnu.org; Tue, 24 Oct 2017 19:00:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mose@HIDDEN>) id 1e78BF-0006nI-CP
 for 28953 <at> debbugs.gnu.org; Tue, 24 Oct 2017 19:00:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mose@HIDDEN>) id 1e78B5-0003w9-Ba
 for 28953 <at> debbugs.gnu.org; Tue, 24 Oct 2017 19:00:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,RCVD_IN_SORBS_SPAM,
 RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56336)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mose@HIDDEN>)
 id 1e78B5-0003vu-7o
 for 28953 <at> debbugs.gnu.org; Tue, 24 Oct 2017 19:00:07 -0400
Received: from mail-it0-f50.google.com ([209.85.214.50]:56026)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mose@HIDDEN>) id 1e78B4-0000gQ-UG
 for 28953 <at> debbugs.gnu.org; Tue, 24 Oct 2017 19:00:07 -0400
Received: by mail-it0-f50.google.com with SMTP id l196so11982186itl.4
 for <28953 <at> debbugs.gnu.org>; Tue, 24 Oct 2017 16:00:06 -0700 (PDT)
X-Gm-Message-State: AMCzsaWpEDAATwtYLtISiF5cDeUnL65WVcemhQOnzQ3cWbVrN2dARWPh
 DYJ13TFOI9wyj2PF0Ob72KFLBtQyWQjYFEQMUbM=
X-Google-Smtp-Source: ABhQp+SVuBy698VGvjVvhQMQbxf4HZClgH9yafaV0Z15DUptFGPMEwvpGNAs5YA2HAwShalGakcezbIVLI6i9jhsfS0=
X-Received: by 10.36.1.136 with SMTP id 130mr202361itk.119.1508886005868; Tue,
 24 Oct 2017 16:00:05 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.2.3.29 with HTTP; Tue, 24 Oct 2017 15:59:25 -0700 (PDT)
In-Reply-To: <osmpt2$5hf$1@HIDDEN>
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
 <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
 <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
 <1C600EE8-5514-42B5-B209-1F4A764CC928@HIDDEN>
 <CAKtYQqQBny24fuW7pbqrObR3Soyn_TnZe7WnAkOHUke1+N6bYg@HIDDEN>
 <osmpt2$5hf$1@HIDDEN>
From: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Date: Wed, 25 Oct 2017 00:59:25 +0200
X-Gmail-Original-Message-ID: <CAKtYQqQHm6j2b1BtcqSyRd3dc+YWYinmgNetKwwfsR8-L-whqA@HIDDEN>
Message-ID: <CAKtYQqQHm6j2b1BtcqSyRd3dc+YWYinmgNetKwwfsR8-L-whqA@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.5 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

2017-10-24 9:25 GMT+02:00 jfbu <jfbu@HIDDEN>:
> What about spaces? I know there isn't
> a single file with spaces in its path on my TeX installation,
> and I personally will never ever attempt to use such in my
> TEXMFHOME or in the document repertory or sub-repertories.

TeX and AUCTeX don't have problems with spaces in file names.  I also
avoid spaces in file names, but asking people to completely stop using
spaces in order to make AUCTeX work doesn't look good.

> People doing
>
> \section{foo}\label{sec:1: (authorA)}
>
> See \ref{sec:1: (authorA)}
>
> will similarly get bitten by this problem.

Are there really people mixing numeric style and literal style in
labels? :-)  Using anything beside [a-zA-Z0-9-:] in LaTeX labels is
usually a bad idea, just because there are packages playing with
catcodes.  For example, underscores are legal in labels, but there are
cases where you can get into troubles if you use them, see for example
https://tex.stackexchange.com/q/121416/31416 or
https://tex.stackexchange.com/a/18312/31416.

Bye,
Mos=C3=A8




Message sent to bug-auctex@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28953: 11.91.0; wrong alert about inexistent LaTeX errors
Resent-From: jfbu <jfbu@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-auctex@HIDDEN
Resent-Date: Wed, 25 Oct 2017 07:58:02 +0000
Resent-Message-ID: <handler.28953.B28953.150891826614029 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28953
X-GNU-PR-Package: auctex
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Cc: 28953 <at> debbugs.gnu.org
Received: via spool by 28953-submit <at> debbugs.gnu.org id=B28953.150891826614029
          (code B ref 28953); Wed, 25 Oct 2017 07:58:02 +0000
Received: (at 28953) by debbugs.gnu.org; 25 Oct 2017 07:57:46 +0000
Received: from localhost ([127.0.0.1]:60639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e7GZL-0003e9-Sd
	for submit <at> debbugs.gnu.org; Wed, 25 Oct 2017 03:57:44 -0400
Received: from smtp3-g21.free.fr ([212.27.42.3]:28034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jfbu@HIDDEN>) id 1e7GZJ-0003dz-OD
 for 28953 <at> debbugs.gnu.org; Wed, 25 Oct 2017 03:57:42 -0400
Received: from mba-de-jfb.local (unknown [88.160.125.12])
 by smtp3-g21.free.fr (Postfix) with ESMTPS id B932F13F8CB;
 Wed, 25 Oct 2017 09:57:36 +0200 (CEST)
References: <4C19E60F-5677-4F59-B0D9-094040B023DA@HIDDEN>
 <CAKtYQqS2y2m02eK6H4m5Hq=1OK0Z=0AOEyW0QxpFvSUgjbS+jg@HIDDEN>
 <5BD2FE55-D501-460C-8187-ED06E3DEFA6F@HIDDEN>
 <CAKtYQqTF68CqUoKxLTk8xH1myYK_5E7_8N_PT7QOdA06Cqp9dw@HIDDEN>
 <1C600EE8-5514-42B5-B209-1F4A764CC928@HIDDEN>
 <CAKtYQqQBny24fuW7pbqrObR3Soyn_TnZe7WnAkOHUke1+N6bYg@HIDDEN>
 <osmpt2$5hf$1@HIDDEN>
 <CAKtYQqQHm6j2b1BtcqSyRd3dc+YWYinmgNetKwwfsR8-L-whqA@HIDDEN>
From: jfbu <jfbu@HIDDEN>
Message-ID: <c8608671-809c-781b-8e80-603abaf8711c@HIDDEN>
Date: Wed, 25 Oct 2017 09:57:36 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:52.0)
 Gecko/20100101 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <CAKtYQqQHm6j2b1BtcqSyRd3dc+YWYinmgNetKwwfsR8-L-whqA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -3.5 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

Hi Mosè

Le 25/10/2017 à 00:59, Mosè Giordano a écrit :
> 2017-10-24 9:25 GMT+02:00 jfbu <jfbu@HIDDEN>:
>> What about spaces? I know there isn't
>> a single file with spaces in its path on my TeX installation,
>> and I personally will never ever attempt to use such in my
>> TEXMFHOME or in the document repertory or sub-repertories.
> 
> TeX and AUCTeX don't have problems with spaces in file names.  I also
> avoid spaces in file names, but asking people to completely stop using
> spaces in order to make AUCTeX work doesn't look good.
> 
>> People doing
>>
>> \section{foo}\label{sec:1: (authorA)}
>>
>> See \ref{sec:1: (authorA)}
>>
>> will similarly get bitten by this problem.
> 
> Are there really people mixing numeric style and literal style in
> labels? :-)  Using anything beside [a-zA-Z0-9-:] in LaTeX labels is
> usually a bad idea, just because there are packages playing with
> catcodes.  For example, underscores are legal in labels, but there are
> cases where you can get into troubles if you use them, see for example
> https://tex.stackexchange.com/q/121416/31416 or
> https://tex.stackexchange.com/a/18312/31416.

--- start of slightly off-topic LaTeX considerations

As is explained in the answer by HO:

> Usually the underscore with its standard catcode "subscript" (8) does
> not cause problems, if used inside \label or \ref:
> 
> [...]
> 
> Also shorthands of package babel are not a problem, because babel
> patches the \label/\ref system to add support for shorthands.

Any package making  a character like the underscore globally
active without at the same time using the babel patches for making
it safe in \label/\ref would simply be a buggy package.
HO does end his answer with the "underscore" package and mentions
that package is a good citizen.

A user making the underscore globally active with no further
ado is simply breaking LaTeX and not informed enough.

Notice that babel-french turns the colon : into an active
character, of course in a way compatible with babel's mechanism.
This mechanism is applied by hyperref package in \href parsing.

Ironically, there are issues with xelatex/lualatex where babel-french
does *not* use active characters at all; because the babel
mechanisms do not apply, the behaviour of \href is unexpected.
Very recently indeed, babel-french maintainer pushed a
fix to CTAN to handle that specific issue.

> Version:  3.3d  2017-10-19
> 
>  Slight change for LuaTeX only:
> 
>  The automatic insertion of non-breaking spaces before the colon
>  character has been improved: a spurious space is no longer inserted
>  in strings like "http://mysite", "C:\textbackslash Program Files"
>  or "10:55".

Regarding that piece of the answer by egreg

> Warning. Some characters might give problems when babel is loaded
> along with varioref (for example the colon : with French and the
> double quote " with many languages). Without varioref these should be
> OK. As Martin points out, some packages might redefine _, making it
> unusable in labels.

it indicates a bug of varioref, that's all.

--- end of off-topic digression

Now,AUCTeX prompts user at each equation insertion with

(Optional) What label: eq:

now in a paper when it is not sure in advance which
equations one will link to, one is not going to invent
a name each time, and simply using numeric labels eq:1,
eq:2, is rather natural and I am sure people do this.

Or am I really as bezerk I tend to believe, years passing by?

I do agree AUCTeX is still rather robust here because even
using eq:1: as label appears to be ok, problems may arise
when having a space after the second colon.

As people have not complained too much on this issue it
is to some extent indication indeed that AUCTeX's minimal
regex to identify error messages is quite effective.

About

> TeX and AUCTeX don't have problems with spaces in file names.

Are spaces escaped in anyway when writing a filename to log?
Unfortunately, here it is not only TeX from TeXBook but rather
also the pdfTeX etc... rules which matters:

They introduced the
filename:linenumber: notation,
dropping the !<space> at start of line thus making log-parsing
more difficult. Perhaps they could have used a

! filename:linenumber: error

format, but would have this broken expectations from other contexts?

Best

Jean-François









Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.